import 'dart:convert';

import 'user.dart';

Login loginFromJson(String str) => Login.fromJson(json.decode(str));

String loginToJson(Login data) => json.encode(data.toJson());

class Login {
  Login({
    required this.logged,
    this.csrf,
    required this.user,
    required this.permissionList,
    this.msg,
    required this.appVersion,
    this.error,
  });

  bool logged;
  dynamic csrf;
  User user;
  List<String> permissionList;
  dynamic msg;
  String appVersion;
  dynamic error;

  factory Login.fromJson(Map<String, dynamic> json) => Login(
        logged: json["logged"],
        csrf: json["csrf"],
        user: User.fromJson(json["user"]),
        permissionList: List<String>.from(json["permissionList"].map((x) => x)),
        msg: json["msg"],
        appVersion: json["appVersion"],
        error: json["error"],
      );

  Map<String, dynamic> toJson() => {
        "logged": logged,
        "csrf": csrf,
        "user": user.toJson(),
        "permissionList": List<dynamic>.from(permissionList.map((x) => x)),
        "msg": msg,
        "appVersion": appVersion,
        "error": error,
      };
}
